string File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_erase_if
#define | _GLIBCXX_STRING

## Functions

template<typename _CharT , typename _Traits , typename _Alloc , typename _Up >
constexpr basic_string< _CharT, _Traits, _Alloc >::size_type | std::erase (basic_string< _CharT, _Traits, _Alloc > &__cont, const _Up &__value)
template<typename _CharT , typename _Traits , typename _Alloc , typename _Predicate >
constexpr basic_string< _CharT, _Traits, _Alloc >::size_type | std::erase_if (basic_string< _CharT, _Traits, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file string.

## Macro Definition Documentation

## __cpp_lib_erase_if

#define __cpp_lib_erase_if

Definition at line 115 of file string.

## _GLIBCXX_STRING

#define _GLIBCXX_STRING

Definition at line 34 of file string.